Bug 1902730 - [abrt] pngcheck: pngcheck(): pngcheck killed by SIGSEGV
Summary: [abrt] pngcheck: pngcheck(): pngcheck killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pngcheck
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6804d916bd356541fb7766752bc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-30 14:12 UTC by Ben Beasley
Modified: 2020-12-30 00:39 UTC (History)
1 user (show)

Fixed In Version: pngcheck-2.4.0-3.fc34 pngcheck-2.3.0-5.fc33 pngcheck-2.3.0-5.fc32 pngcheck-2.4.0-3.el8 pngcheck-2.4.0-3.el7 pngcheck-2.4.0-5.el8 pngcheck-2.4.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-09 01:16:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (12.03 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: core_backtrace (710 bytes, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: cpuinfo (1.91 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: dso_list (308 bytes, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: environ (5.38 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: exploitable (82 bytes, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: limits (1.29 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: maps (2.55 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: mountinfo (3.58 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: open_fds (263 bytes, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: pngcheck-2.4.0-null-dereference-sCAL-no-height.patch (12.49 KB, text/plain)
2020-11-30 14:14 UTC, Ben Beasley
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-11-30 14:15 UTC, Ben Beasley
no flags Details
File: pngcheck-2.4.0-null-dereference-sCAL-no-height.png (8.42 KB, application/octet-stream)
2020-11-30 14:15 UTC, Ben Beasley
no flags Details

Description Ben Beasley 2020-11-30 14:12:55 UTC
Description of problem:
1. pngcheck -f pngcheck-2.4.0-null-dereference-sCAL-no-height.png
2. Look for “Segmentation fault (core dumped)”

File pngcheck-2.4.0-null-dereference-sCAL-no-height.png will be attached to the bug report, along with a patch.

Version-Release number of selected component:
pngcheck-2.3.0-4.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-org.gnome.Terminal.slice/vte-spawn-8e6b7143-af89-44f0-b490-c009a17b0f5a.scope
cmdline:        pngcheck -f pngcheck-2.4.0-null-dereference-sCAL-no-height.png
crash_function: pngcheck
executable:     /usr/bin/pngcheck
journald_cursor: s=b89580fb32444407a95ce1f1ee6b5107;i=4c17;b=242f87c2ead347039b5332ba6a43217f;m=103b1c2969;t=5b5536386070e;x=bdfec5e502a294be
kernel:         5.9.10-200.fc33.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 pngcheck at pngcheck.c:2714

Comment 1 Ben Beasley 2020-11-30 14:14:41 UTC
Created attachment 1734865 [details]
File: backtrace

Comment 2 Ben Beasley 2020-11-30 14:14:43 UTC
Created attachment 1734866 [details]
File: core_backtrace

Comment 3 Ben Beasley 2020-11-30 14:14:44 UTC
Created attachment 1734867 [details]
File: cpuinfo

Comment 4 Ben Beasley 2020-11-30 14:14:46 UTC
Created attachment 1734868 [details]
File: dso_list

Comment 5 Ben Beasley 2020-11-30 14:14:47 UTC
Created attachment 1734869 [details]
File: environ

Comment 6 Ben Beasley 2020-11-30 14:14:49 UTC
Created attachment 1734870 [details]
File: exploitable

Comment 7 Ben Beasley 2020-11-30 14:14:51 UTC
Created attachment 1734871 [details]
File: limits

Comment 8 Ben Beasley 2020-11-30 14:14:53 UTC
Created attachment 1734872 [details]
File: maps

Comment 9 Ben Beasley 2020-11-30 14:14:55 UTC
Created attachment 1734873 [details]
File: mountinfo

Comment 10 Ben Beasley 2020-11-30 14:14:57 UTC
Created attachment 1734874 [details]
File: open_fds

Comment 11 Ben Beasley 2020-11-30 14:14:59 UTC
Created attachment 1734875 [details]
File: pngcheck-2.4.0-null-dereference-sCAL-no-height.patch

Comment 12 Ben Beasley 2020-11-30 14:15:00 UTC
Created attachment 1734876 [details]
File: proc_pid_status

Comment 13 Ben Beasley 2020-11-30 14:15:02 UTC
Created attachment 1734877 [details]
File: pngcheck-2.4.0-null-dereference-sCAL-no-height.png

Comment 14 Fedora Update System 2020-11-30 16:07:25 UTC
FEDORA-2020-6ac7ce7dfb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ac7ce7dfb

Comment 15 Fedora Update System 2020-11-30 16:15:42 UTC
FEDORA-2020-79405a7ba6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-79405a7ba6

Comment 16 Fedora Update System 2020-11-30 16:23:24 UTC
FEDORA-EPEL-2020-81100febff has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-81100febff

Comment 17 Fedora Update System 2020-11-30 16:30:11 UTC
FEDORA-EPEL-2020-97a88205c3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-97a88205c3

Comment 18 Fedora Update System 2020-12-01 02:00:18 UTC
FEDORA-2020-79405a7ba6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-79405a7ba6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-79405a7ba6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-12-01 02:08:20 UTC
FEDORA-EPEL-2020-81100febff has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-81100febff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-12-01 02:13:41 UTC
FEDORA-EPEL-2020-97a88205c3 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-97a88205c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-12-01 02:14:08 UTC
FEDORA-2020-6ac7ce7dfb has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6ac7ce7dfb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ac7ce7dfb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-12-09 01:16:05 UTC
FEDORA-2020-6ac7ce7dfb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-12-09 01:22:48 UTC
FEDORA-2020-79405a7ba6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Ben Beasley 2020-12-13 17:05:59 UTC
The patch is released upstream in version 3.0.0.

Comment 25 Fedora Update System 2020-12-14 01:15:37 UTC
FEDORA-EPEL-2020-9760814baa has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9760814baa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2020-12-14 01:28:18 UTC
FEDORA-EPEL-2020-2380ad9dea has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2380ad9dea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-12-15 00:21:05 UTC
FEDORA-EPEL-2020-c82583d07e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c82583d07e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Fedora Update System 2020-12-15 01:50:12 UTC
FEDORA-EPEL-2020-bc6881c4f5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-bc6881c4f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 29 Fedora Update System 2020-12-30 00:31:56 UTC
FEDORA-EPEL-2020-c82583d07e has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2020-12-30 00:39:29 UTC
FEDORA-EPEL-2020-bc6881c4f5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.